Move Reactive API to com.datastax.oss package

Description

Move the Reactive API to com.datastax.oss package and deprecate the old version.

This will also require follow-up work on many libraries we've been contributing to, e.g. Spring Boot, Spring Data Cassandra, Quarkus, etc.

Environment

None

Pull Requests

None

Activity

Show:
Olivier Michallat
July 16, 2020, 11:17 PM

I don't see any way to do that without breaking binary compatibility.

Assignee

Unassigned

Reporter

Alexandre Dutra

Labels

None

PM Priority

None

Affects versions

None

Fix versions

Pull Request

None

Doc Impact

None

Size

None

External issue ID

None

External issue ID

None

Epic Link

Sprint

Java 4.x

Priority

Major
Configure